import {select,csv,scaleLinear,scaleBand,max} from 'd3'
const svg = select(".haha");
svg.style("background","white");

const width = +svg.attr('width');
const height = +svg.attr('height');
const render = data =>{
  const xScale = scaleLinear().domain([0,max(data,row=>row.population)])
  .range([0,width])
  const yScale = scaleBand().domain(data.map(d=>d.country)).range([0,height])
	
  
  svg.selectAll('rect').data(data)
    .enter()
    .append('rect')
  	.attr('height',yScale.bandwidth())
    .attr('width',d=>xScale(d.population))
    .attr('y',d=>yScale(d.country))
  
}
csv('data.csv').then(data=>{
  data.forEach(row=>{row.population = +row.population*1000;});
 render(data)})

